[rspec-users] Problem with refresh_specs

David Chelimsky dchelimsky at gmail.com
Wed Feb 11 08:42:29 EST 2009


On Sat, Jan 31, 2009 at 12:45 AM, jschank <jschank at mac.com> wrote:
> Hello,
> I recently unpacked the latest (1.1.12) rspec and rspec rails in my
> applicaiton.

Manually? Or using "rake gems:unpack"?

> When I run my specs I get:
>
> config.gem: Unpacked gem rspec-1.1.12 in vendor/gems has no
> specification file. Run 'rake gems:refresh_specs' to fix this.
> config.gem: Unpacked gem rspec-rails-1.1.12 in vendor/gems has no
> specification file. Run 'rake gems:refresh_specs' to fix this.
>
>
> However, when I do what it says, I get this:
> [jschank at serenity shindg (maps)]$ rake gems:refresh_specs
> (in /Users/jschank/Projects/Rails/shindg)
> config.gem: Unpacked gem rspec-1.1.12 in vendor/gems has no
> specification file. Run 'rake gems:refresh_specs' to fix this.
> config.gem: Unpacked gem rspec-rails-1.1.12 in vendor/gems has no
> specification file. Run 'rake gems:refresh_specs' to fix this.
> rake aborted!
> superclass mismatch for class ModelExampleGroup
>
> A google search isn't helping me. What can I do to make this warning
> go away?
> besides piping it to dev/null

What version of rails are you using? I've not seen this particular
problem on any of the releases.

The safe bet with rspec right now is manually installing it
vendor/plugins - either by unpacking a gem or checking it out from git
or using 'script/install'.

HTH,
David

> Thanks,
> John Schank
>
>
> _______________________________________________
> rspec-users mailing list
> rspec-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-users
>


More information about the rspec-users mailing list